%define major		25
%define gi_major	0.6
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{gi_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		folks
Version:	0.11.3
Release:	%mkrel 2
Summary:	Aggregates people from multiple sources to create metacontacts
Group:		Networking/Instant messaging
License:	LGPLv2+
URL:		http://telepathy.freedesktop.org/wiki/Folks
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(telepathy-glib) >= 0.19.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.12
BuildRequires:	pkgconfig(gee-0.8) >= 0.8.4
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(libebook-1.2) >= 3.9.1
BuildRequires:	pkgconfig(zeitgeist-2.0) >= 0.9.14
BuildRequires:	pkgconfig(glib-2.0) >= 2.38.2
BuildRequires:	pkgconfig(gobject-2.0) >= 2.38.2
BuildRequires:	pkgconfig(vapigen) >= 0.22.1
BuildRequires:	readline-devel
BuildRequires:	intltool

%description
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts. It's written in Vala (in part to evaluate Vala).
The initial goal is for GObject/C support, though the Vala bindings should
basically automatic.

%package common
Group:		%{group}
Summary:	Common files for %{name}
Obsoletes:	%{name}-i18n < 0.7.2.1

%description common
This package contains common files for %{name}.

%package -n %{libname}
Group:		System/Libraries
Summary:	Aggregates people from multiple sources to create metacontacts
Requires:	%{name}-common >= %{version}-%{release}

%description -n %{libname}
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts. It's written in Vala (in part to evaluate Vala).
The initial goal is for GObject/C support, though the Vala bindings should
basically automatic.

%package -n %{develname}
Group:		Development/C
Summary:	Aggregates people from multiple sources to create metacontacts
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts. It's written in Vala (in part to evaluate Vala).
The initial goal is for GObject/C support, though the Vala bindings should
basically automatic.

%package -n %{girname}
Group:		System/Libraries
Summary:	Aggregates people from multiple sources to create metacontacts
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts. It's written in Vala (in part to evaluate Vala).
The initial goal is for GObject/C support, though the Vala bindings should
basically automatic.

This package contains the Gir-repository typelib for %{name}.

%files common -f %{name}.lang
%{_datadir}/glib-2.0/schemas/org.freedesktop.folks.gschema.xml
%{_datadir}/GConf/gsettings/folks.convert

%files
%doc AUTHORS README
%{_bindir}/folks-*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}
%dir %{_libdir}/folks
%dir %{_libdir}/folks/*
%{_libdir}/folks/*/backends

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/folks
%{_datadir}/vala/vapi/folks*
%{_datadir}/gir-1.0/Folks*%{gi_major}.gir

%files -n %{girname}
%{_libdir}/girepository-1.0/Folks*%{gi_major}.typelib

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export PKG_CONFIG_PATH=%{_builddir}/folks
autoreconf -fi
%configure2_5x \
	--disable-tracker-backend \
	--enable-eds-backend \
	--enable-vala \
	--enable-inspect-tool \
	--enable-import-tool \
	--disable-fatal-warnings \
	--disable-static
%make

%install
%makeinstall_std

%find_lang %{name}

find %{buildroot} -name '*.la' -delete


%changelog
* Mon Sep 26 2016 tv <tv> 0.11.3-2.mga6
+ Revision: 1056842
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Wed Sep 21 2016 ovitters <ovitters> 0.11.3-1.mga6
+ Revision: 1054815
- new version 0.11.3

* Mon Sep 19 2016 tv <tv> 0.11.2-3.mga6
+ Revision: 1054138
- rebuid for proper typelib() provides

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Nov 27 2015 ovitters <ovitters> 0.11.2-1.mga6
+ Revision: 906419
- new version 0.11.2

* Thu Sep 24 2015 tv <tv> 0.11.1-1.mga6
+ Revision: 883123
- drop merged patches
- new release

* Wed Aug 26 2015 sander85 <sander85> 0.10.1-5.mga6
+ Revision: 869789
- Rebuild for evolution-data-server 3.17.90

* Tue Jun 30 2015 wally <wally> 0.10.1-4.mga6
+ Revision: 848858
- rebuild to get more typelib() requires

* Sun Jun 28 2015 wally <wally> 0.10.1-3.mga6
+ Revision: 847179
- add requires for gir pkg to devel pkg

* Wed Feb 18 2015 luigiwalser <luigiwalser> 0.10.1-2.mga5
+ Revision: 815734
- call autoreconf because of patches
- add upstream patches to fix build with new evolution-data-server
- rebuild for evolution-data-server

* Mon Jan 19 2015 ovitters <ovitters> 0.10.1-1.mga5
+ Revision: 811532
- new version 0.10.1

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 739418
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 0.10.0-3.mga5
+ Revision: 731134
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-2.mga5
+ Revision: 679252
- Mageia 5 Mass Rebuild

* Fri Sep 12 2014 ovitters <ovitters> 0.10.0-1.mga5
+ Revision: 674856
- new version 0.10.0

* Wed Aug 13 2014 ovitters <ovitters> 0.9.8-1.mga5
+ Revision: 662187
- new version 0.9.8

* Wed Jul 30 2014 pterjan <pterjan> 0.9.7.1-2.mga5
+ Revision: 658274
- Rebuild for new evolution-data-server

* Tue Jun 24 2014 ovitters <ovitters> 0.9.7.1-1.mga5
+ Revision: 639281
- new version 0.9.7.1
- new version 0.9.7

* Wed Nov 20 2013 ovitters <ovitters> 0.9.6-2.mga4
+ Revision: 552005
- fix buildrequires

* Wed Nov 06 2013 ovitters <ovitters> 0.9.6-1.mga4
+ Revision: 549814
- new version 0.9.6

* Sat Oct 19 2013 umeabot <umeabot> 0.9.5-2.mga4
+ Revision: 533227
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 ovitters <ovitters> 0.9.5-1.mga4
+ Revision: 472222
- new version 0.9.5

* Sun Aug 18 2013 fwang <fwang> 0.9.4-3.mga4
+ Revision: 467491
- rebuild for new eds

* Sun Aug 04 2013 fwang <fwang> 0.9.4-2.mga4
+ Revision: 463244
- use vala-devel

  + wally <wally>
    - fix common subpkg summary

* Sat Aug 03 2013 wally <wally> 0.9.4-1.mga4
+ Revision: 462870
- export PKG_CONFIG_PATH to fix build
- remove unneeded vala-tools BR

  + dams <dams>
    - fix build by disabling fatal warnings
    - update file lists
    - add 'vala' and 'readline-devel' as BR
    - enable vala

  + ovitters <ovitters>
    - new version 0.9.4

* Sat Jun 08 2013 ovitters <ovitters> 0.9.2-1.mga4
+ Revision: 440398
- new version 0.9.2

* Sat May 25 2013 ovitters <ovitters> 0.9.1-1.mga4
+ Revision: 427439
- fix br
- new version 0.9.1

* Fri Jan 11 2013 umeabot <umeabot> 0.8.0-2.mga3
+ Revision: 350624
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 04 2012 ovitters <ovitters> 0.8.0-1.mga3
+ Revision: 302753
- new version 0.8.0

* Wed Sep 12 2012 ovitters <ovitters> 0.7.4.1-1.mga3
+ Revision: 292510
- new version 0.7.4.1
- new version 0.7.4

* Sun Jul 29 2012 ovitters <ovitters> 0.7.3-1.mga3
+ Revision: 275788
- new version 0.7.3

* Tue Jul 03 2012 ovitters <ovitters> 0.7.2.2-1.mga3
+ Revision: 267002
- drop merged requires patch
- new version 0.7.2.2

* Sun Jul 01 2012 ovitters <ovitters> 0.7.2.1-1.mga3
+ Revision: 266368
- put gschema and i18n files under new common subpackage
- br zeitgeist-1.0
- add patch to fix eds requirement
- update buildrequires
- new version 0.7.2.1

* Mon Apr 16 2012 ovitters <ovitters> 0.6.9-1.mga2
+ Revision: 231097
- new version 0.6.9

* Tue Mar 27 2012 ovitters <ovitters> 0.6.8-1.mga2
+ Revision: 227001
- new version 0.6.8

* Thu Feb 23 2012 ovitters <ovitters> 0.6.7-1.mga2
+ Revision: 212599
- new version

* Mon Jan 23 2012 dmorgan <dmorgan> 0.6.6-2.mga2
+ Revision: 200179
- Own %%{_libdir}/folks

* Wed Dec 14 2011 fwang <fwang> 0.6.6-1.mga2
+ Revision: 181552
- new version 0.6.6

* Mon Nov 21 2011 fwang <fwang> 0.6.5-2.mga2
+ Revision: 170379
- rebuild for new evo

* Fri Nov 11 2011 wally <wally> 0.6.5-1.mga2
+ Revision: 166717
- new version 0.6.5

* Sat Oct 29 2011 fwang <fwang> 0.6.4.1-2.mga2
+ Revision: 159480
- rebuild for new evo

* Tue Oct 18 2011 wally <wally> 0.6.4.1-1.mga2
+ Revision: 156382
- new version 0.6.4.1
- bump major back to 25

* Tue Oct 18 2011 fwang <fwang> 0.6.4-1.mga2
+ Revision: 156052
- update libmajor
- new version 0.6.4

* Tue Sep 27 2011 ovitters <ovitters> 0.6.3.2-1.mga2
+ Revision: 149183
- new version 0.6.3.2

* Sat Sep 24 2011 fwang <fwang> 0.6.3.1-1.mga2
+ Revision: 147151
- new version 0.6.3.1

* Mon Sep 19 2011 fwang <fwang> 0.6.3-1.mga2
+ Revision: 145229
- new version 0.6.3

* Sat Sep 10 2011 wally <wally> 0.6.2.1-2.mga2
+ Revision: 142149
- disable tracker backend as it's not recommended to use it

* Fri Sep 09 2011 fwang <fwang> 0.6.2.1-1.mga2
+ Revision: 141710
- update file list
- new version 0.6.2.1

* Mon Aug 29 2011 fwang <fwang> 0.6.1-1.mga2
+ Revision: 136121
- new version 0.6.1
- requires tracker 0.12
- rebuild for new tracker

  + wally <wally>
    - add more tracker0.11 patching
    - clean patch from unwanted chunks
    - new version 0.6.0
    - new major 25
    - enable tracker and evolution-data-server backends
    - disable regenerating vala bindings for now as it fails
      due to vala isn't enabled in evolution-data-server and
      use ones provided by upstream
    - clean .spec a bit

* Sat Jul 16 2011 ahmad <ahmad> 0.5.2-2.mga2
+ Revision: 124670
- Add a patch from upstream to fix build with vala >= 0.13.1
- The lib package shouldn't require the -gir one
- Convert the BR to pkgconfig style

* Sun Jul 03 2011 ahmad <ahmad> 0.5.2-1.mga2
+ Revision: 117589
- Update to 0.5.2
- Bump BR vala-devel version
- Split the gir typelib in a separate sub-package to ease lib major upgrades
- Compile with --enable-vala (otherwise BR vala-devel is useless)

* Tue Apr 05 2011 dams <dams> 0.4.2-1.mga1
+ Revision: 80745
- update to 0.4.2, new major, add translations and add a better buildrequire on telepathy-glib
- update to 0.4.2

* Sun Feb 20 2011 eandry <eandry> 0.2.1-2.mga1
+ Revision: 54862
- drop buildroot
- imported package folks

